/*******************************************************************************
 *
 * $Source: /users/studenter/nilss/source/RCS/meet.h,v $
 * $Header: meet.h,v 1.3 96/02/29 13:44:16 nilss Exp $
 * $Author: nilss $
 * $Date: 96/02/29 13:44:16 $
 * Language: C
 * Status: Experimental
 *
 * (c) Copyright 1996, TACOMA, all rights reserved.
 *
 ******************************************************************************/
#ifndef MEET_H
#define	MEET_H

/*
 * Flag values for meet().
 */
#define TM_SYNC 1<<0
#define TM_LOCL 1<<1 
#define TM_NMRG 1<<2 /* Only if TM_SYNC */
#define TM_IERR 1<<3 /* Only if not TM_SYNC */
#define TM_CRPT 1<<4
#define TM_SIGN 1<<5

#define TM_PATH 1<<16
#define TM_NLOG 1<<17

/*
 * meet() return values.
 */
#define	TMR_OK		0
#define	TMR_NO1SITE	1
#define	TMR_REFUSED	2
#define	TMR_NOSITE	3
#define	TMR_AG_DEAD	4
#define	TMR_AG_NOTFOUND	5
#define	TMR_INTERNAL	6

/*
 * Defines used internally in meet.c
 */
#define TM_STAT_MSG_SIZE 512
#define	TM_BCEND	"\n\04\n"
#define	TM_BCEND_SIZE	(sizeof(TM_BCEND)-1)
#define	TM_WELCOME	("0 Welcome" TM_BCEND)
#define	TM_ACCEPT	("0 Got it" TM_BCEND)

/*
 * Utility functions used by Tacoma
 */
string	tac_read_bc_stream( int );
int	tac_write_bc_stream( int, briefcase );


#endif /* MEET_H */
