#################################################################################
# $Source: /users/studenter/nilss/source/RCS/ag_report.tcl,v $
# $Header: ag_report.tcl,v 1.1 96/02/29 13:37:05 nilss Exp $
# $Author: nilss $
# $Date: 96/02/29 13:37:05 $
# Language:     Tcl
# Status:       Experimental
#
# (c) Copyright 1996, TACOMA, all rights reserved.
#
#################################################################################
proc ag_report {bc} {
    upvar $bc loc_bc
    if {![catch {set out [open "/dev/console" w]}]} {
	puts $out "*--------*"
	puts $out "| Report |"
	puts $out "*--------*"
	puts $out "From [folder_fetch loc_bc R_FROM] on [folder_fetch loc_bc R_DATE]"
	set level [folder_fetch loc_bc R_LEVEL]
	puts $out "Agent [folder_fetch loc_bc R_ID] reports $level"
	puts $out "Reason: [folder_fetch loc_bc R_STATUS]"
	if ("[string tolower $level]"=="failure") {
	    puts $out "Briefcase"
	    puts $out "---------"
	    puts $out "[folder_fetch loc_bc R_BC]\n"
	    puts $out "---------"
	}
    }
    if { [catch {cabinet_open Graveyard}] } {
	cabinet_create Graveyard
    }
    cabinet_store Graveyard [folder_fetch loc_bc R_ID] [folder_fetch loc_bc R_BC]
    close $out
    return 0
}



